%define oname kdenetwork-filesharing

Summary:	Samba filesharing dialog for Plasma 5
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kde5-l10n < 17.04

%description
Samba filesharing dialog for Plasma 5.

%files -f kfileshare.lang
%doc COPYING COPYING.DOC COPYING.LIB
%{_kde5_services}/sambausershareplugin.desktop
%{_qt5_plugindir}/sambausershareplugin.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang kfileshare --with-kde --with-html
%kf5locales_fix kfileshare.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (e8c4c0f) New version 17.08.2


